/*
 * ﻿Copyright (C) 2012 NewMain Softech
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
 * either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */
package com.newmainsoftech.aspectjtuil.testutil.junit;

/**
 * Define helper method signature. 
 * 
 * @author <a href="mailto:artymt@gmail.com">Arata Y.</a>
 */
public interface JUnitAssistContract {
	String getRunningTestName();
	/**
	 * To save test name. <br />
	 * Test name will be saved by this being automatically called from  
	 * {@link JUnitAssistAspect#beforeAdvisedTopMostExecutionOfJUnitTestMethod(org.aspectj.lang.JoinPoint)} 
	 * at the beginning of each test execution.
	 * @param testName
	 */
	void setRunningTestName( String testName);
}
